{
  my = {

    cachyosKernel.enable = true;

    desktop = {
      enable = true;
      sddm = {
        enable = true;
        autoLogin.enable = true;
      };
      hyprland.enable = true;
      flatpak.enable = true;
      spicetify.enable = true;
      nixcord.enable = true;
      gaming.enable = true;
    };

    nvidia.enable = true;
    openlinkhub.enable = true;
    rgb.enable = true;
  };
  virtualisation.docker.enable = true;
}
